中危 X.Org libxcb 'read_packet()'函数远程代码执行漏洞

CVE编号

CVE-2013-2064

利用情况

暂无

补丁情况

官方补丁

披露时间

2013-06-16
漏洞描述
X.Org是X.Org Foundation对X窗口系统的开源实现。libxcb库是X协议C语言绑定库。

libxcb库的read_packet()函数中存在堆缓冲区溢出漏洞,当X客户端连接到恶意X服务器时,可造成任意代码执行。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
http://www.x.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 oracle secure_global_desktop 4.71 -
运行在以下环境
应用 oracle secure_global_desktop 5.2 -
运行在以下环境
应用 x libxcb * Up to
(including)
1.9
运行在以下环境
应用 x libxcb 1.1.90.1 -
运行在以下环境
应用 x libxcb 1.1.91 -
运行在以下环境
应用 x libxcb 1.1.92 -
运行在以下环境
应用 x libxcb 1.1.93 -
运行在以下环境
应用 x libxcb 1.2 -
运行在以下环境
应用 x libxcb 1.3 -
运行在以下环境
应用 x libxcb 1.4 -
运行在以下环境
应用 x libxcb 1.5 -
运行在以下环境
应用 x libxcb 1.6 -
运行在以下环境
应用 x libxcb 1.7 -
运行在以下环境
应用 x libxcb 1.8 -
运行在以下环境
应用 x libxcb 1.8.1 -
运行在以下环境
系统 amazon linux_AMI libxcb * Up to
(excluding)
1.8.1-1.15.amzn1
运行在以下环境
系统 amazon_AMI libxcb * Up to
(excluding)
1.8.1-1.15.amzn1
运行在以下环境
系统 canonical ubuntu_linux 10.04 -
运行在以下环境
系统 canonical ubuntu_linux 12.04 -
运行在以下环境
系统 canonical ubuntu_linux 12.10 -
运行在以下环境
系统 canonical ubuntu_linux 13.04 -
运行在以下环境
系统 debian debian_linux 6.0 -
运行在以下环境
系统 debian debian_linux 7.0 -
运行在以下环境
系统 debian_6 libxcb * Up to
(excluding)
1.6-1+squeeze1
运行在以下环境
系统 debian_7 libxcb * Up to
(excluding)
1.8.1-2+deb7u1
运行在以下环境
系统 fedoraproject fedora 19 -
运行在以下环境
系统 opensuse opensuse 12.2 -
运行在以下环境
系统 opensuse opensuse 12.3 -
运行在以下环境
系统 redhat_6 libXcursor * Up to
(excluding)
0:1.1.14-2.1.el6
运行在以下环境
系统 sles_12 libxcb-dri2-0 * Up to
(excluding)
1.10-1
运行在以下环境
系统 suse_12 libxcb-dri2-0 * Up to
(excluding)
1.10-1
运行在以下环境
系统 ubuntu_12.04.5_lts libxcb * Up to
(excluding)
1.8.1-1ubuntu0.2
运行在以下环境
系统 ubuntu_12.04_lts libxcb * Up to
(excluding)
1.8.1-1ubuntu0.2
阿里云评分
4.4
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况